Summary:	ELILO: EFI Linux Boot Loader
Summary(pl.UTF-8):	ELILO - linuksowy bootloader dla platform EFI
Name:		elilo
Version:	3.16
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/elilo/%{name}-%{version}-all.tar.gz
# Source0-md5:	31ae4652b0bd4580b37640054e7146bc
Source1:	%{name}.conf
Source2:	%{name}.efi-boot-update
URL:		http://elilo.sourceforge.net/
BuildRequires:	gnu-efi >= 3.0d
Suggests:	efi-boot-update
ExclusiveArch:	%{ix86} %{x8664} ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{ix86}
%define	efi_arch ia32
%endif
%ifarch %{x8664}
%define	efi_arch x64
%endif
%ifarch ia64
%define	efi_arch ia64
%endif

%description
ELILO is the EFI Linux boot loader for IA-64 (IPF), IA-32 (x86) and
x86_64 EFI-based platforms.

%description -l pl.UTF-8
ELILO to linuksowy bootloader dla platform IA-64 (IPF), IA-32 (x86)
oraz x86_64 opartych na EFI.

%prep
%setup -q -c

tar xf elilo-%{version}-source.tar.gz

%build
%{__make} -C elilo-%{version}-source -j1 \
	ARCH=$(echo %{_target_base_arch} | sed -e 's/i386/ia32/') \
	CC="%{__cc}" \
	OPTIMFLAGS="%{rpmcflags}" \
	EFICRT0=%{_libdir} \
	EFILIB=%{_libdir} \
	GNUEFILIB=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/lib/efi/%{efi_arch}} \
		$RPM_BUILD_ROOT/etc/efi-boot/update.d

install elilo-%{version}-source/tools/eliloalt $RPM_BUILD_ROOT%{_sbindir}
install elilo-%{version}-source/elilo.efi $RPM_BUILD_ROOT/lib/efi/%{efi_arch}/elilo.efi

install %{SOURCE1}  $RPM_BUILD_ROOT/etc/efi-boot/%{name}.conf
sed -e's/ARCH=.*/ARCH=%{efi_arch}/' %{SOURCE2} \
		> $RPM_BUILD_ROOT/etc/efi-boot/update.d/%{name}.conf

%triggerpostun -- %{name} < 3.14-1.1
# someone may have boot configured from this misplaced location
# better put elilo.efi copy there too
echo "Upgrade detected, copying elilo.efi to /boot/efi/elilo.efi..."
cp --preserve=ship,timestamps /lib/efi/%{efi_arch}/elilo.efi /boot/efi/elilo.efi || :
echo "Remove /boot/efi/elilo.efi if you don't need it."

%post
[ -x /sbin/efi-boot-update ] && /sbin/efi-boot-update --auto || :

%postun
[ -x /sbin/efi-boot-update ] && /sbin/efi-boot-update --auto || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{version}-release-notes.txt elilo-%{version}-source/{ChangeLog,README*,TODO,docs/*.txt,examples}
%attr(755,root,root) %{_sbindir}/eliloalt
/etc/efi-boot/%{name}.conf
/etc/efi-boot/update.d/%{name}.conf
/lib/efi/%{efi_arch}/elilo.efi
%changelog
* Fri Oct 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/elilo.git;a=log;h=master

* Fri Oct 25 2013 Jacek Konieczny <jajcus@jajcus.net> 3231d32
- Version: 3.16

* Sun Nov 04 2012 Jacek Konieczny <jajcus@jajcus.net> 57b6dc9
- Release: 2

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 553af7c
- %post improved, %postun added

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 50b30be
- Run efi-boot-update in %post

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 1067c57
- S: efi-boot-update

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 4e09d20
- Config files added

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> a2bb9ce
- Moved to /lib/efi/%{efi_arch}/elilo.efi

* Mon Oct 29 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 9ddf706
- /boot/efi is now in the filesystem package

* Wed Feb 01 2012 Jakub Bogusz <qboosh@pld-linux.org> a6044d9
- updated to 3.14

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 72186f9
- updated to 3.12

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> a28438c
- updated to 3.8

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 2f5fbc5
- fixed build on x86_64

* Thu Nov 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 95c8eca
- updated to 3.7, includes x86_64 support at last

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 912f5ae
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6c49dd7
- converted to UTF-8

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 64a8055
- updated to 3.6

* Fri Dec 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 4c8c2b6
- release .2 due to tag

* Sat Nov 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 5080613
- new

